### Function

# GLib Relation new

deprecated: 2.26

#### Declaration

    GRelation*
    g_relation_new (
      gint fields
    )

#### Description

Creates a new `GRelation` with the given number of fields. Note that currently the number of fields must be 2.

Deprecated since: 2.26

Rarely used API.

This function is not directly available to language bindings.

#### Parameters

`fields`

  Type: `gint`

  The number of fields.

#### Return value

Type: `GRelation`

A new `GRelation`.

The data is owned by the called function.